My Project: SignOn::BlobIOHandler Class Reference

My Project

Public Slots | Signals | Public Member Functions | Public Attributes | List of all members
SignOn::BlobIOHandler Class Reference
Inheritance diagram for SignOn::BlobIOHandler:
[legend]

## Public Slots
void | readBlob ()

## Signals
void | dataReceived (const QVariantMap &map)
void | error ()

## Public Member Functions
| BlobIOHandler (QIODevice *inputChannel, QIODevice *outputChannel, QObject *parent=0)
bool | sendData (const QVariantMap &map)
void | receiveData (int expectedDataSize)
void | setReadChannelSocketNotifier (QSocketNotifier *notifier)
bool | isReading () const

## Public Attributes
QIODevice * | m_readChannel
QIODevice * | m_writeChannel
QByteArray | m_blobBuffer
QSocketNotifier * | m_readNotifier
int | m_blobSize
bool | m_isReading

## Detailed Description

Definition at line 34 of file blobiohandler.h.

## Constructor & Destructor Documentation

## ◆ BlobIOHandler()

BlobIOHandler::BlobIOHandler | ( | QIODevice * | inputChannel,
|  | QIODevice * | outputChannel,
|  | QObject * | parent = 0 )

Definition at line 37 of file blobiohandler.cpp.

## Member Function Documentation

## ◆ isReading()

bool SignOn::BlobIOHandler::isReading | ( |  | ) | const
| inline

Definition at line 48 of file blobiohandler.h.

## ◆ readBlob

void BlobIOHandler::readBlob | ( |  | ) |
| slot

Definition at line 111 of file blobiohandler.cpp.

## ◆ receiveData()

void BlobIOHandler::receiveData | ( | int | expectedDataSize | ) |

Definition at line 98 of file blobiohandler.cpp.

## ◆ sendData()

bool BlobIOHandler::sendData | ( | const QVariantMap & | map | ) |

Definition at line 57 of file blobiohandler.cpp.

## ◆ setReadChannelSocketNotifier()

void BlobIOHandler::setReadChannelSocketNotifier | ( | QSocketNotifier * | notifier | ) |

Definition at line 49 of file blobiohandler.cpp.

## Member Data Documentation

## ◆ m_blobBuffer

QByteArray SignOn::BlobIOHandler::m_blobBuffer

Definition at line 67 of file blobiohandler.h.

## ◆ m_blobSize

int SignOn::BlobIOHandler::m_blobSize

Definition at line 69 of file blobiohandler.h.

## ◆ m_isReading

bool SignOn::BlobIOHandler::m_isReading

Definition at line 70 of file blobiohandler.h.

## ◆ m_readChannel

QIODevice* SignOn::BlobIOHandler::m_readChannel

Definition at line 65 of file blobiohandler.h.

## ◆ m_readNotifier

QSocketNotifier* SignOn::BlobIOHandler::m_readNotifier

Definition at line 68 of file blobiohandler.h.

## ◆ m_writeChannel

QIODevice* SignOn::BlobIOHandler::m_writeChannel

Definition at line 66 of file blobiohandler.h.

The documentation for this class was generated from the following files:

- signon-plugins-common/SignOn/blobiohandler.h
- signon-plugins-common/SignOn/blobiohandler.cpp